Debian Bug report logs - #718981
ITP: ruby-colorator -- String extension for terminal coloring

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Youhei SASAKI <uwabami@gfd-dennou.org>

Date: Wed, 7 Aug 2013 12:24:02 UTC

Owned by: Youhei SASAKI <uwabami@gfd-dennou.org>

Severity: wishlist

Fixed in version ruby-colorator/0.1-1

Done: Youhei SASAKI <uwabami@gfd-dennou.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, uwabami@gfd-dennou.org, debian-devel@lists.debian.org, wnpp@debian.org:
Bug#718981; Package wnpp. (Wed, 07 Aug 2013 12:24:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Youhei SASAKI <uwabami@gfd-dennou.org>:
New Bug report received and forwarded. Copy sent to uwabami@gfd-dennou.org, debian-devel@lists.debian.org, wnpp@debian.org. (Wed, 07 Aug 2013 12:24:06 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Youhei SASAKI <uwabami@gfd-dennou.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: ruby-colorator -- String extension for terminal coloring
Date: Wed, 07 Aug 2013 21:13:14 +0900
Package: wnpp
Owner: Youhei SASAKI <uwabami@gfd-dennou.org>
Severity: wishlist

* Package name    : ruby-colorator
  Version         : 0.1
  Upstream Author : Parker Moore and Brandon Mathis
* URL or Web page : https://github.com/octopress/colorator
* License         : MIT
  Description     : String extension for terminal coloring
   A Ruby Library colorize your text in the terminal.
   .
   There are a bunch of gems that provide functionality like this, but
   none have as simple an API as this. Just call `"string".color` and your
   text will be colorized.

---
Youhei SASAKI <uwabami@gfd-dennou.org>
              <uwabami@debian.or.jp>
GPG fingerprint:
  4096/RSA: 66A4 EA70 4FE2 4055 8D6A C2E6 9394 F354 891D 7E07



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Youhei SASAKI <uwabami@gfd-dennou.org>:
Bug#718981; Package wnpp. (Wed, 07 Aug 2013 22:03:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Gunnar Wolf <gwolf@gwolf.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Youhei SASAKI <uwabami@gfd-dennou.org>. (Wed, 07 Aug 2013 22:03:04 GMT) Full text and rfc822 format available.

Message #10 received at submit@bugs.debian.org (full text, mbox):

From: Gunnar Wolf <gwolf@gwolf.org>
To: Youhei SASAKI <uwabami@gfd-dennou.org>, 718981@bugs.debian.org
Cc: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: Re: Bug#718981: ITP: ruby-colorator -- String extension for terminal coloring
Date: Wed, 7 Aug 2013 16:52:08 -0500
Youhei SASAKI dijo [Wed, Aug 07, 2013 at 09:13:14PM +0900]:
> Package: wnpp
> Owner: Youhei SASAKI <uwabami@gfd-dennou.org>
> Severity: wishlist
> 
> * Package name    : ruby-colorator
>   Version         : 0.1
>   Upstream Author : Parker Moore and Brandon Mathis
> * URL or Web page : https://github.com/octopress/colorator
> * License         : MIT
>   Description     : String extension for terminal coloring
>    A Ruby Library colorize your text in the terminal.
>    .
>    There are a bunch of gems that provide functionality like this, but
>    none have as simple an API as this. Just call `"string".color` and your
>    text will be colorized.

How does this compare to ruby-wirble? It seems to do just part of what
Wirble does:

 A handful of useful Irb features, including colorized results,
 tab-completion, history, a simple prompt, and several helper
 methods, all rolled into one easy to use package.

Or is it a more generalized colorator?



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Youhei SASAKI <uwabami@gfd-dennou.org>:
Bug#718981; Package wnpp. (Wed, 07 Aug 2013 22:03:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Gunnar Wolf <gwolf@gwolf.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Youhei SASAKI <uwabami@gfd-dennou.org>. (Wed, 07 Aug 2013 22:03:10 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#718981; Package wnpp. (Thu, 08 Aug 2013 04:09:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Youhei SASAKI <uwabami@gfd-dennou.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Thu, 08 Aug 2013 04:09:08 GMT) Full text and rfc822 format available.

Message #20 received at submit@bugs.debian.org (full text, mbox):

From: Youhei SASAKI <uwabami@gfd-dennou.org>
To: Gunnar Wolf <gwolf@gwolf.org>
Cc: 718981@bugs.debian.org, Debian Bug Tracking System <submit@bugs.debian.org>
Subject: Re: Bug#718981: ITP: ruby-colorator -- String extension for terminal coloring
Date: Thu, 08 Aug 2013 13:07:10 +0900
Hi, 

At Wed, 7 Aug 2013 16:52:08 -0500,
Gunnar Wolf <gwolf@gwolf.org> wrote:
> 
> Youhei SASAKI dijo [Wed, Aug 07, 2013 at 09:13:14PM +0900]:
> > Package: wnpp
> > Owner: Youhei SASAKI <uwabami@gfd-dennou.org>
> > Severity: wishlist
> > 
> > * Package name    : ruby-colorator
> >   Version         : 0.1
> >   Upstream Author : Parker Moore and Brandon Mathis
> > * URL or Web page : https://github.com/octopress/colorator
> > * License         : MIT
> >   Description     : String extension for terminal coloring
> >    A Ruby Library colorize your text in the terminal.
> >    .
> >    There are a bunch of gems that provide functionality like this, but
> >    none have as simple an API as this. Just call `"string".color` and your
> >    text will be colorized.
> 
> How does this compare to ruby-wirble? It seems to do just part of what
> Wirble does:
> 
>  A handful of useful Irb features, including colorized results,
>  tab-completion, history, a simple prompt, and several helper
>  methods, all rolled into one easy to use package.
> 
> Or is it a more generalized colorator?

I don't know, sorry. I submit this ITP just dependency. The new upstream
of "Jekyll" depends this library.

Best Wishes,
Youhei

---
Youhei SASAKI <uwabami@gfd-dennou.org>
              <uwabami@debian.or.jp>
GPG fingerprint:
  4096/RSA: 66A4 EA70 4FE2 4055 8D6A C2E6 9394 F354 891D 7E07



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#718981; Package wnpp. (Thu, 08 Aug 2013 04:15:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Youhei SASAKI <uwabami@gfd-dennou.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Thu, 08 Aug 2013 04:15:08 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Youhei SASAKI <uwabami@gfd-dennou.org>:
Bug#718981; Package wnpp. (Thu, 20 Feb 2014 15:21:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to dod@debian.org:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Youhei SASAKI <uwabami@gfd-dennou.org>. (Thu, 20 Feb 2014 15:21:04 GMT) Full text and rfc822 format available.

Message #30 received at 718981@bugs.debian.org (full text, mbox):

From: Dominique Dumont <dod@debian.org>
To: 718981@bugs.debian.org
Cc: Youhei SASAKI <uwabami@gfd-dennou.org>
Subject: Review of your ruby-colorator package
Date: Thu, 20 Feb 2014 16:07:08 +0100
Hello

Good work: your package builds fine without lintian warnings.

There's still some issues:
  * fix debian/copyright: upstream license is MIT, not expat (the text is
    correct, the license shortname is not)
  * fix debian/watch file: this file points to alioth even though upstream 
    is on github.

Once this is fixed (and I'm admitted in ruby packaging team), I'll upload your 
package.

All the best

-- 
 https://github.com/dod38fr/   -o- http://search.cpan.org/~ddumont/
http://ddumont.wordpress.com/  -o-   irc: dod at irc.debian.org



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Youhei SASAKI <uwabami@gfd-dennou.org>:
Bug#718981; Package wnpp. (Fri, 21 Feb 2014 08:45:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to dod@debian.org:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Youhei SASAKI <uwabami@gfd-dennou.org>. (Fri, 21 Feb 2014 08:45:05 GMT) Full text and rfc822 format available.

Message #35 received at 718981@bugs.debian.org (full text, mbox):

From: Dominique Dumont <dod@debian.org>
To: 718981@bugs.debian.org
Cc: Youhei SASAKI <uwabami@gfd-dennou.org>
Subject: Re: Review of your ruby-colorator package
Date: Fri, 21 Feb 2014 09:41:21 +0100
On Thursday 20 February 2014 16:07:08 Dominique Dumont wrote:
>   * fix debian/watch file: this file points to alioth even though upstream
>     is on github.

My bad. I was wrong about this point. I'll fix copyright file and resume 
review

-- 
 https://github.com/dod38fr/   -o- http://search.cpan.org/~ddumont/
http://ddumont.wordpress.com/  -o-   irc: dod at irc.debian.org



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#718981; Package wnpp. (Sun, 23 Feb 2014 06:39:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Youhei SASAKI <uwabami@gfd-dennou.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sun, 23 Feb 2014 06:39:04 GMT) Full text and rfc822 format available.

Message #40 received at 718981@bugs.debian.org (full text, mbox):

From: Youhei SASAKI <uwabami@gfd-dennou.org>
To: Dominique Dumont <dod@debian.org>
Cc: 718981@bugs.debian.org
Subject: Re: Review of your ruby-colorator package
Date: Sun, 23 Feb 2014 15:27:19 +0900
Hi, 

sorry for my late response, thanks for your kindly review.

At Thu, 20 Feb 2014 16:07:08 +0100,
Dominique Dumont <dod@debian.org> wrote:
> 
> Good work: your package builds fine without lintian warnings.
> 
> There's still some issues:
>   * fix debian/copyright: upstream license is MIT, not expat (the text is
>     correct, the license shortname is not)

  https://www.debian.org/doc/packaging-manuals/copyright-format/1.0/
  Sec: License specification

  "There are many versions of the MIT license. Please use Expat instead,
   when it matches."

Thus I write License as "Expat" in debian/copyright. 

It's my mistake? If yes, I'll fix many other packages "debian/copyright"
as MIT instead of Expat.

Best Wishes,
Youhei
---
Youhei SASAKI <uwabami@gfd-dennou.org>
              <uwabami@debian.or.jp>
GPG fingerprint:
  4096/RSA: 66A4 EA70 4FE2 4055 8D6A C2E6 9394 F354 891D 7E07



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Youhei SASAKI <uwabami@gfd-dennou.org>:
Bug#718981; Package wnpp. (Sun, 23 Feb 2014 13:27:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dominique Dumont <dod@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Youhei SASAKI <uwabami@gfd-dennou.org>. (Sun, 23 Feb 2014 13:27:08 GMT) Full text and rfc822 format available.

Message #45 received at 718981@bugs.debian.org (full text, mbox):

From: Dominique Dumont <dod@debian.org>
To: Youhei SASAKI <uwabami@gfd-dennou.org>
Cc: 718981@bugs.debian.org
Subject: Re: Re: Review of your ruby-colorator package
Date: Sun, 23 Feb 2014 14:25:38 +0100
[Message part 1 (text/plain, inline)]
On Sunday 23 February 2014 15:27:19 Youhei SASAKI wrote:
> Thus I write License as "Expat" in debian/copyright. 
> 
> It's my mistake? 

No. You're right. I did not notice the specific MIT instructions in the 
License Specifications.

I'll revert the change and re-upload.

Thanks for the heads-up.

All the best
[signature.asc (application/pgp-signature, inline)]

Reply sent to Youhei SASAKI <uwabami@gfd-dennou.org>:
You have taken responsibility. (Thu, 27 Feb 2014 16:03:17 GMT) Full text and rfc822 format available.

Notification sent to Youhei SASAKI <uwabami@gfd-dennou.org>:
Bug acknowledged by developer. (Thu, 27 Feb 2014 16:03:17 GMT) Full text and rfc822 format available.

Message #50 received at 718981-close@bugs.debian.org (full text, mbox):

From: Youhei SASAKI <uwabami@gfd-dennou.org>
To: 718981-close@bugs.debian.org
Subject: Bug#718981: fixed in ruby-colorator 0.1-1
Date: Thu, 27 Feb 2014 16:00:08 +0000
Source: ruby-colorator
Source-Version: 0.1-1

We believe that the bug you reported is fixed in the latest version of
ruby-colorator, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 718981@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Youhei SASAKI <uwabami@gfd-dennou.org> (supplier of updated ruby-colorator package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Fri, 21 Feb 2014 10:05:01 +0100
Source: ruby-colorator
Binary: ruby-colorator
Architecture: source all
Version: 0.1-1
Distribution: unstable
Urgency: low
Maintainer: Debian Ruby Extras Maintainers <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
Changed-By: Youhei SASAKI <uwabami@gfd-dennou.org>
Description: 
 ruby-colorator - String core extensions for terminal coloring
Closes: 718981
Changes: 
 ruby-colorator (0.1-1) unstable; urgency=low
 .
   * Initial release (Closes: #718981)
Checksums-Sha1: 
 1b56248bde15f97a2941bc4a443fad50982547cd 2057 ruby-colorator_0.1-1.dsc
 7d7e695162771eb5be2bee42171b55e988e2968c 4952 ruby-colorator_0.1.orig.tar.gz
 c84fca8d5a331441a08bb1747141d7dbc5c3250f 2132 ruby-colorator_0.1-1.debian.tar.xz
 6fb9f3046eb05cd716f99b43bce495ca430be945 3608 ruby-colorator_0.1-1_all.deb
Checksums-Sha256: 
 b4f44d6e94ca5150dfb8e0b860b010c8a31a7c2404b547401c2148dcff6297b0 2057 ruby-colorator_0.1-1.dsc
 2c7b09bff9eae66e522814d9df0f4297dfb6b2a1129c5ab11a81929f6d48233d 4952 ruby-colorator_0.1.orig.tar.gz
 f1cfa6d0acf889bfcc31e3cb9d8688698f0877cfd51a59251e94a9395972c9fd 2132 ruby-colorator_0.1-1.debian.tar.xz
 fa510d75fab81cd7d4e94e659eb16d8d98b6c7e54581b6109c3d2a816c332ed8 3608 ruby-colorator_0.1-1_all.deb
Files: 
 e1fe5b576b40574d799cf09c65bce021 2057 ruby optional ruby-colorator_0.1-1.dsc
 cf2205d6cba29f9ceb1dfe92667b417f 4952 ruby optional ruby-colorator_0.1.orig.tar.gz
 e99696f3b31a76806f99ed4a16c417f4 2132 ruby optional ruby-colorator_0.1-1.debian.tar.xz
 43fcb8048107c9030be8c7b8b08b81cb 3608 ruby optional ruby-colorator_0.1-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1

iQIcBAEBAgAGBQJTBxbuAAoJEMMfT9lJqyts548P/AtZ2/6IK1B7bEL+F5S3VuyE
939RO2HatMC3CPvdBbnsQNj92QBRSvESXW640Lc+Hko/Yj8WT1RJ1mmE6lSrvJdD
FuQqznkV6G/ar4rSxBAkzv3JpcrliKfEHPuYU1aL+4+xQAmHB9hDS+/j4iRoZ9Dk
r5HP1msJCuStntdAxfDha1+vSf86RcoOye2sbo+wgF3coSjKl4PRcHSQUFmNpRKq
thq/eyJ4Ok5geKATs2CKwDlLPDmXyOCd4PVmQhdDzSiXtZ5W+2YfkPgs2EyAd1/I
jabsMaFjcrlD7Xrx/BQ2lomsrvo6Feg3Cu1gG8/vxSDV03Huf+rszWblNBhT7D9J
cbWrnJisAPhgmWePWgepiw2kDttfH8nAx/DG4xJx9YZcWchheW1Rw8Yf6rZjLald
H/Anf+HxqvxUww5y3EWd2xHhdQ6SqvGmWiGHxB9n4OrW3ADxaedZKYcdrDsjYRK5
wtc1dqUQHKkwe/uNqr/ioOW6iplK5S5QxvzVnw03r4ffQemdUHRzxxHa8ymxl2DS
KjEPmO78ZYgl+IBz5daHBowFWRa34EL5klIZdH9tDy53TiQifPK+qxzPHscT2XZR
QX0aLRsU86dhSSveTQ9uZH7CsZTTZryW/YaaUc98A2fMatHXlwIBt9gxMztYe2/z
FFv0m0FS/P5KK6zMfrXj
=POiP
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 28 Mar 2014 07:39:47 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 03:19:12 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.